#
# Be sure to run `pod lib lint APMServices.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'APMServices'
  s.version          = '2.1.9'
  s.summary          = 'app\'s miles® boosts your app\'s usage'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
app’s miles® helps you develop and manage digital animation programs. We present challenges that are increasingly engaging to your users, allowing them to go up in levels, earn points and trophies, and redeem gifts. app’s miles® stabilises customer retention, helps users to discover the full breadth of the in-app features you’ve developed, and thereby makes them more committed to your brand.
Website : http://www.appsmiles.eu/?lang=en
                       DESC

  s.homepage         = 'https://gitlab.appsmiles.eu/appsmiles-public/APMServices-SDK-iOS'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Vincent Ducastel' => 'vincent@appsmiles.fr', 'Dev' => 'dev@appsmiles.fr' }
  s.source           = { :git => 'https://gitlab.appsmiles.eu/appsmiles-public/APMServices-SDK-iOS.git', :tag => s.version.to_s }
  s.social_media_url = 'https://twitter.com/apps_miles'

  s.ios.deployment_target = '7.0'

  s.frameworks = 'APMServices'
  s.vendored_frameworks = 'APMServices/Frameworks/APMServices.framework'
end
