//
//  APMAd.h
//  AppsMiles
//
//  Created by Vincent Ducastel on 14/05/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"
#import "APMImagesUtils.h"

@interface APMAd : APMModel<NSCopying, APMMediaProtocol, APMLargeMediaProtocol>
{
    //Media
    NSString *_media;
    UIImage *_imageMedia;
    NSInteger _countImageMediaLoad;
    BOOL _isImageMediaLoading;
    
    //Large Media
    NSString *_largeMedia;
    UIImage *_imageLargeMedia;
    NSInteger _countImageLargeMediaLoad;
    BOOL _isImageLargeMediaLoading;
}

@property(assign, nonatomic) NSInteger adID;
@property(strong, nonatomic)  NSString *label;
@property(strong, nonatomic)  NSString *content;
@property(strong, nonatomic)  NSString *shortDescription;
@property(strong, nonatomic)  NSString *url;
@property(assign, nonatomic) NSInteger type;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
