//
//  APMDevice.h
//  APMServices
//
//  Created by Vincent Ducastel on 11/01/2016.
//  Copyright © 2016 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMDevice : APMModel<NSCoding, NSCopying>

@property(nonatomic, strong) NSNumber* deviceStatus;
@property(nonatomic, strong) NSNumber* optIn;

-(void)updateWithJSONObject:(NSDictionary*)jsonObject;

#pragma mark - Device Status

-(BOOL)isDeviceStatusValid;
-(BOOL)isDeviceStatusSample; //Temoin
-(BOOL)isDeviceStatusOff;

#pragma mark - Device Opt In

-(BOOL)isDeviceOptInNotSet;
-(BOOL)isDeviceOptInRefused;
-(BOOL)isDeviceOptInAccepted;

@end
