//
//  APMImage.h
//  APMServices
//
//  Created by Vincent Ducastel on 11/09/2018.
//  Copyright (c) 2018 Moonmiles. All rights reserved.
//

#import "APMModel.h"
#import "APMImagesUtils.h"

#define APM_K_IMAGE_URL @"url"
#define APM_K_IMAGE_IMAGE @"image"
#define APM_K_IMAGE_COUNT_IMAGE_LOAD @"countImageLoad"
#define APM_K_IMAGE_IS_IMAGE_LOADING @"isImageLoading"

@interface APMImage : APMModel<NSCoding, NSCopying, APMMediaProtocol>

@property (nonatomic, strong) NSString* url;
@property (nonatomic, strong) UIImage* image;
@property (nonatomic, assign) NSInteger countImageLoad;
@property (nonatomic, assign) BOOL isImageLoading;

-(instancetype)initWithUrl:(NSString*)url;
-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
