//
//  APMPartner.h
//  AppsMiles
//
//  Created by Vincent Ducastel on 14/05/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"
#import "APMImagesUtils.h"

@interface APMPartner : APMModel<NSCopying, APMMediaProtocol>
{
    NSString *_media;
    UIImage *_imageMedia;
    NSInteger _countImageMediaLoad;
    BOOL _isImageMediaLoading;
}

@property(strong, nonatomic) NSString *apmScheme;
@property(strong, nonatomic) NSString *partnerUrl;
@property(strong, nonatomic) NSString *content;
@property(assign, nonatomic) NSInteger maxGenerosity;
@property(assign, nonatomic) NSInteger partnerID;
@property(strong, nonatomic) NSString *partnerLabel;
@property(strong, nonatomic) NSString *storeID;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
