//
//  APMProductVariant.h
//  APMServices
//
//  Created by Vincent Ducastel on 11/09/2018.
//  Copyright (c) 2018 Moonmiles. All rights reserved.
//

#import "APMModel.h"

#define APM_K_PRODUCT_VARIANT_EAN @"ean"
#define APM_K_PRODUCT_VARIANT_COLOR_ID @"colorId"
#define APM_K_PRODUCT_VARIANT_SIZE_ID @"sizeId"
#define APM_K_PRODUCT_VARIANT_AVAILABILITY @"availability"

@interface APMProductVariant : APMModel<NSCoding, NSCopying>

@property (nonatomic, strong) NSString* ean;
@property (nonatomic, assign) NSInteger colorId;
@property (nonatomic, assign) NSInteger sizeId;
@property (nonatomic, assign) NSInteger availability;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
