//
//  APMServicesExternalResUtils.h
//  APMServices
//
//  Created by Vincent Ducastel on 31/05/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

@class APMLOTAnimation;

@interface APMServicesExternalResUtils : NSObject

@property(nonatomic, strong) NSMutableArray *externalResources;

+(APMServicesExternalResUtils *)sharedInstance;
-(void)initInstance;

-(void)loadExternalResForKey:(NSString*)key success:(void (^)(APMLOTAnimation *externalRes))success failure:(void (^)(NSError* error))failure;
-(void)successExternalRes:(NSDictionary*)result;
-(void)resetAll;

@end
