//
//  APMUser.h
//  APMServices
//
//  Created by Vincent Ducastel on 01/10/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@class APMUserJourney;

@interface APMUser : APMModel<NSCoding, NSCopying>

@property(nonatomic, strong) NSString *userToken;
@property(nonatomic, assign) BOOL isAdmin;
@property(nonatomic, assign) NSInteger userBalance;
@property(nonatomic, assign) NSInteger userObsoleteBalance;
@property(nonatomic, assign) NSInteger totalEarn;
@property(nonatomic, assign) NSInteger status;
@property(nonatomic, strong) NSDate *birthDate;
@property(nonatomic, strong) NSString *email;
@property(nonatomic, strong) NSString *password;
@property(nonatomic, strong) NSString *firstName;
@property(nonatomic, assign) NSInteger gender;
@property(nonatomic, strong) NSString *lastName;
@property(nonatomic, strong) NSString *mobileNumber;
@property(nonatomic, strong) NSString *town;
@property(nonatomic, strong) NSString *facebookID;
@property(nonatomic, strong) NSString *partnerClientId;
@property(nonatomic, strong) NSMutableDictionary *segments;
@property(nonatomic, strong) NSString *loyaltyId;
@property(nonatomic, strong) id customParams;
@property(nonatomic, strong) APMUserJourney* userJourney;
@property(nonatomic, strong) NSMutableArray *acquiredTags;

-(void)updateWithJSONObject:(NSDictionary*)jsonObject;
-(BOOL)isConnected;
-(NSString*)birthdateString;
-(void)setBirthdateString:(NSString*)birthdateString;
-(NSString*)balanceString;
-(NSString*)genderString;
-(void)setGenderString:(NSString*)genderString;
- (BOOL)isSameSegments:(NSDictionary*)segments;

+(APMUser*)userFromDictionary:(NSDictionary*)dictionary;

@end
