//
//  APMUserJourneyUtils.h
//  APMServices
//
//  Created by Vincent Ducastel on 04/05/2018.
//  Copyright © 2018 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>

@class APMUser;
@class APMChallenge;
@class APMTrophy;
@class APMUserJourney;

@interface APMUserJourneyUtils : NSObject

+(BOOL)haveNewUserJourney;
+(BOOL)haveNewUserJourneyWithOldUser:(APMUser*)oldUser user:(APMUser*)user;

+(BOOL)haveNewStatusUserJourney;
+(BOOL)haveNewStatusUserJourneyWithOldUser:(APMUser*)oldUser user:(APMUser*)user;
+(APMChallenge*)getChallengeWithStatusId:(NSInteger)statusId challengeId:(NSInteger)challengeId inUserJourney:(APMUserJourney*)userjourney;

+(BOOL)haveNewTrophiesUserJourney;
+(BOOL)haveNewTrophiesUserJourneyWithOldUser:(APMUser*)oldUser user:(APMUser*)user;
+(APMTrophy*)getTrophyWithCategoryTrophyId:(NSInteger)categoryTrophyId trophyId:(NSInteger)trophyId inUserJourney:(APMUserJourney*)userjourney;

@end
