//
//  APMUserStatus.h
//  APMServices
//
//  Created by Vincent Ducastel on 09/01/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "APMModel.h"

@interface APMUserStatus : APMModel<NSCoding, NSCopying>

@property(nonatomic, assign) NSInteger identifiant;
@property(nonatomic, strong) NSString *label;
@property(nonatomic, strong) NSString *illus;
@property(nonatomic, strong) NSString *desc;
@property(nonatomic, strong) NSString *color;
@property(nonatomic, assign) NSInteger step;
@property(nonatomic, assign) NSInteger gradation;
@property(nonatomic, strong) NSMutableArray *challenges;
@property(nonatomic, strong) NSString *middleground;
@property(nonatomic, strong) NSDate *leveledUpAt;

-(instancetype)initWithJSONObject:(NSDictionary*)jsonObject;

@end
