//
//  APMUserStatusUtils.h
//  APMServices
//
//  Created by Vincent Ducastel on 09/01/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>

@class APMUserStatus;
@class APMUser;

@interface APMUserStatusUtils : NSObject

+(NSMutableArray*)arrayWithStatus:(NSMutableArray*)array;
+(APMUserStatus*)statusFromId:(NSInteger)identifiant withStatus:(NSMutableArray*)array;
+(APMUserStatus*)nextStatusFromCurrentStatus:(APMUserStatus*)currentStatus withStatus:(NSMutableArray*)array;
+(APMUserStatus*)nextStatusForUser:(NSInteger)statusId withStatus:(NSMutableArray*)array;
+(NSInteger)currentStatusIndex:(APMUser*)user;

@end
