//
//  APMWalkthroughsUtils.h
//  APMServices
//
//  Created by Vincent Ducastel on 04/01/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>

@class APMWalkthrough;
@class APMUser;

@interface APMWalkthroughsUtils : NSObject

@property(nonatomic, strong) NSMutableArray *walkthroughs;
@property (nonatomic, strong) APMWalkthrough* nextWalkthrough;

+(APMWalkthroughsUtils *)sharedInstance;
-(void)initInstance;
-(NSMutableArray*)arrayWithWalkthroughs:(NSMutableArray*)array;
-(void)resetAllWalkthroughsClearable;
-(void)showNextWalkthrough;
-(void)saveWalkthroughs:(NSMutableArray*)walkthroughs;
-(void)successWalkthroughs:(NSDictionary*)result;
-(void)resetAll;

@end
