//
//  APMCategoryTrophy.h
//  APMServices
//
//  Created by Vincent Ducastel on 09/01/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "APMModel.h"

#define APM_K_CATEGORY_TROPHY_ID                   @"id"
#define APM_K_CATEGORY_TROPHY_LABEL                @"label"
#define APM_K_CATEGORY_TROPHY_DESC                 @"desc"
#define APM_K_CATEGORY_TROPHY_TROPHIES             @"trophies"

@interface APMCategoryTrophy : APMModel<NSCoding, NSCopying>

@property(nonatomic, assign) NSInteger identifiant;
@property(nonatomic, strong) NSString *label;
@property(nonatomic, strong) NSString *desc;
@property(nonatomic, strong) NSMutableArray *trophies;

-(instancetype)initWithJSONObject:(NSDictionary*)jsonObject;
-(BOOL)hasAtLeastOneVisibleTrophy;

@end
