//
//  APMLocalizedString.h
//  APMServices
//
//  Created by Vincent Ducastel on 01/10/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

@class APMProg;

@interface APMLocalizedString : NSString

@property (nonatomic, strong) NSMutableDictionary* traductions;

@property (nonatomic, strong) NSDictionary *localLocalizedStrings;
@property (nonatomic, strong) NSDictionary *boLocalizedStrings;


+ (APMLocalizedString *)sharedInstance;
- (void)initInstance;
-(NSString*)stringForKey:(NSString*)key;
-(void)updateTraductions:(NSDictionary*)result;
-(void)updateBoLocalizedStrings:(APMProg*)prog;
-(void)resetAll;

@end
