//
//  APMProg.h
//  APMServices
//
//  Created by Vincent Ducastel on 01/10/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMProg : APMModel<NSCoding, NSCopying>

@property (nonatomic, assign) BOOL isActive;
@property (nonatomic, assign) NSInteger offDuration; //Red button to off tag, in hours
@property (nonatomic, strong) NSDate *offDurationEndDate;
@property (nonatomic, assign) NSInteger progTTL; //Time to live, in seconds
@property (nonatomic, strong) NSDate *progTTLEndDate;
@property (nonatomic, assign) NSInteger partnerLevel; //1:FULL, 2:LITE
@property (nonatomic, strong) NSString *defaultLanguage;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;
-(BOOL) isOffDurationElapsed;
-(BOOL) isProgTTLElapsed;

@end
