//
//  APMReview.h
//  APMServices
//
//  Created by Vincent Ducastel on 11/09/2018.
//  Copyright (c) 2018 Moonmiles. All rights reserved.
//

#import "APMModel.h"

#define APM_K_REVIEW_AUTHOR @"author"
#define APM_K_REVIEW_FORMATTED_DATE @"date"
#define APM_K_REVIEW_RATING @"rating"
#define APM_K_REVIEW_RATING_SCALE @"ratingScale"
#define APM_K_REVIEW_CONTENT @"content"

@interface APMReview : APMModel<NSCoding, NSCopying>

@property (nonatomic, strong) NSString* author;
@property (nonatomic, strong) NSString* formattedDate;
@property (nonatomic, assign) NSInteger rating;
@property (nonatomic, assign) NSInteger ratingScale;
@property (nonatomic, strong) NSString* content;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
