//
//  APMServicesConfigStatic.h
//  APMServices
//
//  Created by Vincent Ducastel on 24/08/2018.
//  Copyright © 2018 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface APMServicesConfigStatic : NSObject

+(NSString*)APM_API_VERSION_STATIC;
+(NSString*)APM_SERVICES_VERSION_NAME_STATIC;
+(NSString*)APM_SERVICES_VERSION_CODE_STATIC;
+(NSString*)APM_URL_API_PROD_STATIC;
+(NSString*)APM_URL_API_SANDBOX_STATIC;
+(NSString*)APM_URL_SITE_APPSMILES_STATIC;
+(NSInteger)APM_PARTNER_LEVEL_INITIAL_STATIC;
+(NSInteger)APM_PARTNER_LEVEL_STANDARD_STATIC;
+(NSInteger)APM_PARTNER_LEVEL_PREMIUM_STATIC;
+(NSInteger)APM_K_USER_GENDER_MME_STATIC;
+(NSInteger)APM_K_USER_GENDER_M_STATIC;
+(NSInteger)APM_GIFT_TYPE_TEXT_STATIC;
+(NSInteger)APM_GIFT_TYPE_BARCODE_STATIC;
+(NSInteger)APM_GIFT_TYPE_OBJECT_STATIC;
+(NSInteger)APM_GIFT_TYPE_URL_STATIC;
+(NSInteger)APM_GIFT_TYPE_EMAIL_STATIC;
+(NSInteger)APM_GIFT_NATURE_POINTS_STATIC;
+(NSInteger)APM_GIFT_NATURE_STATUS_STATIC;
+(NSInteger)APM_BURN_STATUS_UNDEFINED_STATIC;
+(NSInteger)APM_BURN_STATUS_ISSUED_STATIC;
+(NSInteger)APM_BURN_STATUS_USED_STATIC;
+(NSInteger)APM_BURN_STATUS_CANCELED_STATIC;
+(NSInteger)APM_BURN_STATUS_EXPIRED_STATIC;
+(NSInteger)APM_SHOW_PAGE_CNIL_STATIC;
+(NSInteger)APM_SHOW_PAGE_CGU_STATIC;
+(NSInteger)APM_SHOW_PAGE_MENTIONS_STATIC;
+(NSInteger)APM_SHOW_PAGE_HELPER_STATIC;
+(NSInteger)APM_SHOW_PAGE_TUTO_STATIC;
+(NSInteger)APM_SHOW_PAGE_INTERSTITIAL_STATIC;
+(NSInteger)APM_SHOW_PAGE_APP_ONBOARDING_STATIC;
+(NSInteger)APM_SHOW_PAGE_APP_MENTION_STATIC;
+(NSInteger)APM_SHOW_PAGE_APP_TUTORIAL_STATIC;
+(NSInteger)APM_SHOW_PAGE_APP_INTERSTITIAL_STATIC;
+(NSInteger)APM_HOW_WORKS_TYPE_WEBVIEW_STATIC;
+(NSInteger)APM_HOW_WORKS_TYPE_ACTIONS_STATIC;
+(NSInteger)APM_HOW_WORKS_TYPE_GIFTS_STATIC;
+(NSInteger)APM_PAGE_TARGET_ONLY_NOT_CONNECTED_STATIC;
+(NSInteger)APM_PAGE_TARGET_ONLY_CONNECTED_STATIC;
+(NSInteger)APM_PAGE_TARGET_BOTH_STATIC;
+(NSInteger)APM_WALKTHROUGH_STATUS_OFFLINE_STATIC;
+(NSInteger)APM_WALKTHROUGH_STATUS_ONLINE_STATIC;
+(NSInteger)APM_EXCEPTION_NO_ERROR_STATIC;
+(NSInteger)APM_EXCEPTION_ERROR_SERVER_STATIC;
+(NSInteger)APM_EXCEPTION_INVALID_TOKEN_STATIC;
+(NSInteger)APM_EXCEPTION_MODE_TEST_STATIC;
+(NSInteger)APM_EXCEPTION_ERROR_500_STATIC;
+(NSInteger)APM_EXCEPTION_ERROR_404_STATIC;
+(NSInteger)APM_EXCEPTION_ERROR_401_STATIC;
+(NSInteger)APM_EXCEPTION_NO_NETWORK_STATIC;
+(NSInteger)APM_EXCEPTION_UNKNOWN_ERROR_STATIC;
+(NSInteger)APM_EXCEPTION_SERVICE_LOADING_STATIC;
+(NSInteger)APM_EXCEPTION_SERVICE_NOT_ACTIVE_STATIC;
+(NSInteger)APM_EXCEPTION_CONFIG_STATIC;
+(NSInteger)APM_EXCEPTION_ACCOUNT_NOT_CONNECTED_STATIC;
+(NSInteger)APM_EXCEPTION_URL_HTTP_INVALID_STATIC;
+(NSInteger)APM_EXCEPTION_OPT_IN_NOT_ACCEPTED_STATIC;
+(NSInteger)APM_EXCEPTION_ACTION_NOT_FOUND_STATIC;
+(NSString*)APM_DEFAULT_DATE_FORMAT_STATIC;
+(NSInteger)APM_DEVICE_STATUS_NOT_SET_STATIC;
+(NSInteger)APM_DEVICE_STATUS_OK_STATIC;
+(NSInteger)APM_DEVICE_STATUS_ANONYMOUS_STATIC;
+(NSInteger)APM_DEVICE_STATUS_OPTIN_OFF_STATIC;
+(NSInteger)APM_DEVICE_OPT_IN_NOT_SET_STATIC;
+(NSInteger)APM_DEVICE_OPT_IN_REFUSE_STATIC;
+(NSInteger)APM_DEVICE_OPT_IN_ACCEPT_STATIC;
+(NSString*)APM_CLASS_ID_GLOBAL_STATIC;
+(NSInteger)APM_AD_TYPE_BONUS_STATIC;
+(NSInteger)APM_AD_TYPE_NEWS_STATIC;
+(NSInteger)APM_AD_TYPE_SPECIALS_STATIC;
+(NSInteger)APM_GENEROSITY_TYPE_SYSTEMATIC_STATIC;
+(NSInteger)APM_GENEROSITY_TYPE_SUGGESTED_STATIC;
+(NSInteger)APM_GENEROSITY_TYPE_AUTOMATIC_STATIC;
+(NSInteger)APM_TRIGGER_CACHE_POLICY_DISCARD_STATIC;
+(NSInteger)APM_TRIGGER_CACHE_POLICY_STORE_ALWAYS_STATIC;

@end
