//
//  APMStore.h
//  APMServices
//
//  Created by Vincent Ducastel on 09/01/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "APMModel.h"

#define APM_K_STORE_LIST              @"stores"
#define APM_K_STORE_ID                @"storeID"
#define APM_K_STORE_LABEL             @"label"
#define APM_K_STORE_LAT               @"gpsLat"
#define APM_K_STORE_LNG               @"gpsLong"
#define APM_K_STORE_ADDRESS_1         @"address1"
#define APM_K_STORE_ADDRESS_2         @"address2"
#define APM_K_STORE_POSTAL_CODE       @"cp"
#define APM_K_STORE_CITY              @"city"
#define APM_K_STORE_PHONE             @"phone"
#define APM_K_STORE_OPENING           @"opening"
#define APM_K_STORE_DESCRIPTION       @"description"

@interface APMStore : APMModel<NSCoding, NSCopying>

@property(nonatomic, assign) NSInteger identifiant;
@property(nonatomic, strong) NSString *label;
@property(nonatomic, strong) NSString *lat;
@property(nonatomic, strong) NSString *lng;
@property(nonatomic, strong) NSString *address1;
@property(nonatomic, strong) NSString *address2;
@property(nonatomic, strong) NSString *postalCode;
@property(nonatomic, strong) NSString *city;
@property(nonatomic, strong) NSString *phone;
@property(nonatomic, strong) NSString *opening;
@property(nonatomic, strong) NSString *desc;

-(instancetype)initWithJSONObject:(NSDictionary*)jsonObject;

@end
