//
//  APMUserPropertiesUtils.h
//  APMServices
//
//  Created by Vincent Ducastel on 12/09/2018.
//  Copyright © 2018 Moonmiles. All rights reserved.
//

@interface APMUserPropertiesUtils : NSObject

@property(nonatomic, strong) NSMutableDictionary *userProperties;

+(APMUserPropertiesUtils *)sharedInstance;
-(void)initInstance;

-(void)addUserProperties:(NSDictionary*)userProperties;
-(void)addUserProperty:(NSString*)userProperty forKey:(NSString*)key;
-(void)removeUserProperty:(NSString*)key;
-(void)removeUserProperties;

-(void)resetAll;

@end
