//
//  APMVersions.h
//  APMServices
//
//  Created by Vincent Ducastel on 15/02/2017.
//  Copyright © 2017 Moonmiles. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "APMModel.h"

@interface APMVersions : APMModel<NSCoding, NSCopying>

@property (nonatomic, assign) NSInteger statuses; //Version number of status data
@property (nonatomic, assign) NSInteger theme; //Version number of theme data
@property (nonatomic, assign) NSInteger traductions; //Version number of traductions data
@property (nonatomic, assign) NSInteger pages; //Version number of pages data
@property (nonatomic, assign) NSInteger animations; //Version number of animations data

-(void)initWithJSONObject:(NSDictionary*)jsonObject withThemeValid:(BOOL)themeValid;
-(NSString*)getVersionsJsonToStr;
-(void)resetVersions;

@end
